Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.network
Class QNetworkAddressEntry

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.network.QNetworkAddressEntry

All Implemented Interfaces:
  QtJambiInterface, java.lang.Cloneable

    public class QNetworkAddressEntry

extends QtJambiObject
implements java.lang.Cloneable

The `QNetworkAddressEntry` class stores one IP address supported by a network interface, along with its associated netmask and broadcast address. Each network interface can contain zero or more IP addresses, which in turn can be associated with a netmask and/or a broadcast address (depending on support from the operating system).

This class represents one such group.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Constructor Summary
`QNetworkAddressEntry()` Constructs an empty `QNetworkAddressEntry` object.
`QNetworkAddressEntry(QNetworkAddressEntry other)` Constructs a `QNetworkAddressEntry` object that is a copy of the object `other`.

Method Summary
`QHostAddress` | `broadcast()` Returns the broadcast address associated with the IPv4 address and netmask.
`QNetworkAddressEntry` | `clone()` This method is reimplemented for internal reasons
`static QNetworkAddressEntry` | `fromNativePointer(QNativePointer nativePointer)` This method returns the QNetworkAddressEntry instance pointed to by `nativePointer`.
`QHostAddress` | `ip()` This function returns one IPv4 or IPv6 address found, that was found in a network interface.
`static QNativePointer` | `nativePointerArray(QNetworkAddressEntry[] array)` This function returns a QNativePointer that is pointing to the specified QNetworkAddressEntry array.
`QHostAddress` | `netmask()` Returns the netmask associated with the IP address.
`void` | `setBroadcast(QHostAddress newBroadcast)` Sets the broadcast IP address of this `QNetworkAddressEntry` object to `newBroadcast`.
`void` | `setIp(QHostAddress newIp)` Sets the IP address the `QNetworkAddressEntry` object contains to `newIp`.
`void` | `setNetmask(QHostAddress newNetmask)` Sets the netmask that this `QNetworkAddressEntry` object contains to `newNetmask`.

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QNetworkAddressEntry

    public QNetworkAddressEntry()

  Constructs an empty `QNetworkAddressEntry` object.

### QNetworkAddressEntry

    public QNetworkAddressEntry(QNetworkAddressEntry other)

  Constructs a `QNetworkAddressEntry` object that is a copy of the object `other`.

Method Detail

### broadcast

    public final QHostAddress broadcast()

  Returns the broadcast address associated with the IPv4 address and netmask. It can usually be derived from those two by setting to 1 the bits of the IP address where the netmask contains a 0. (In other words, by bitwise-OR'ing the IP address with the inverse of the netmask)

  This member is always empty for IPv6 addresses, since the concept of broadcast has been abandoned in that system in favor of multicast. In particular, the group of hosts corresponding to all the nodes in the local network can be reached by the "all-nodes" special multicast group (address `FF02::1`).

See also:
  `setBroadcast()`.

### ip

    public final QHostAddress ip()

  This function returns one IPv4 or IPv6 address found, that was found in a network interface.

See also:
  `setIp()`.

### netmask

    public final QHostAddress netmask()

  Returns the netmask associated with the IP address. The netmask is expressed in the form of an IP address, such as 255.255.0.0.

  For IPv6 addresses, the prefix length is converted to an address where the number of bits set to 1 is equal to the prefix length. For a prefix length of 64 bits (the most common value), the netmask will be expressed as a `QHostAddress` holding the address FFFF:FFFF:FFFF:`FFFF::`

See also:
  `setNetmask()`.

### setBroadcast

    public final void setBroadcast(QHostAddress newBroadcast)

  Sets the broadcast IP address of this `QNetworkAddressEntry` object to `newBroadcast`.

See also:
  `broadcast()`.

### setIp

    public final void setIp(QHostAddress newIp)

  Sets the IP address the `QNetworkAddressEntry` object contains to `newIp`.

See also:
  `ip()`.

### setNetmask

    public final void setNetmask(QHostAddress newNetmask)

  Sets the netmask that this `QNetworkAddressEntry` object contains to `newNetmask`.

See also:
  `netmask()`.

### fromNativePointer

    public static QNetworkAddressEntry fromNativePointer(QNativePointer nativePointer)

  This method returns the QNetworkAddressEntry instance pointed to by `nativePointer`.

### nativePointerArray

    public static QNativePointer nativePointerArray(QNetworkAddressEntry[] array)

  This function returns a QNativePointer that is pointing to the specified QNetworkAddressEntry array.

### clone

    public QNetworkAddressEntry clone()

  This method is reimplemented for internal reasons

  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD